xslt_process
xslt_set_encoding
XSLT (PHP 4) Functions
PHP Manual

# xslt_set_base

Set the base URI for all XSLT transformations

### Description

void xslt_set_base ( resource `$xh` , string `$uri` )

Sets the base URI for all XSLT transformations, the base URI is used with Xpath instructions to resolve document() and other commands which access external resources. It is also used to resolve URIs for the <xsl:include> and <xsl:import> elements.

### Parameters

`xh`

  The XSLT processor link identifier, created with xslt_create.

`uri`

  The base URI to be used.

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
4.3.0 | As of PHP 4.3.0, the default base URI is the directory of the executing script. In effect, it is the directory name value of the `__FILE__` constant. The default base URI is less predictable with older versions.

### Notes

> Note:

> Please note that file:// is needed in front of the path when using Windows.